path: /build/build/btrfs-progs-sys-fs-6.10.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -reiserfs -static convert python python_single_target_python3_9 zstd" emerge sys-fs/btrfs-progs -pv -t && \
    USE="-doc -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -reiserfs -static convert python python_single_target_python3_9 zstd" emerge -j ${JOBS} --nodeps sys-fs/btrfs-progs
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/btrfs-progs && luet-portage --dir /pkgdir/btrfs-progs
    sys-fs/btrfs-progs && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e7c857e4191b0fd32a36f4c44bbcb7849a341e06ea5999878b819d8226f1c0f7
  package:
    name: btrfs-progs
    version: "6.10"
    category: sys-fs
    use_flags:
    - -doc
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -reiserfs
    - -static
    - convert
    - python
    - python_single_target_python3_9
    - zstd
    requires:
    - name: macaroni-funtoo-race2
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Btrfs filesystem utilities
    uri:
    - https://btrfs.wiki.kernel.org
    license: GPL-2
    buildtimestamp: 2024-09-02 14:06:31.513126159 +0000 UTC m=+104.049731078
    labels:
      BDEPEND: doc? ( || ( >=app-text/asciidoc-8.6.0 dev-ruby/asciidoctor ) app-text/docbook-xml-dtd:4.5
        app-text/xmlto ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: dev-libs/lzo:2= sys-apps/util-linux:0=[static-libs(+)?] sys-libs/zlib:0=
        convert? ( sys-fs/e2fsprogs:0= sys-libs/e2fsprogs-libs:0= reiserfs? ( >=sys-fs/reiserfsprogs-3.6.27
        ) ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) ) zstd? ( app-arch/zstd:0= ) convert? ( sys-apps/acl ) python? ( python_single_target_python3_10?
        ( dev-python/setuptools[python_targets_python3_10(-)] ) python_single_target_python3_7?
        ( dev-python/setuptools[python_targets_python3_7(-)] ) python_single_target_python3_9?
        ( dev-python/setuptools[python_targets_python3_9(-)] ) python_single_target_python3_8?
        ( dev-python/setuptools[python_targets_python3_8(-)] ) ) static? ( dev-libs/lzo:2[static-libs(+)]
        sys-apps/util-linux:0[static-libs(+)] sys-libs/zlib:0[static-libs(+)] convert?
        ( sys-fs/e2fsprogs:0[static-libs(+)] sys-libs/e2fsprogs-libs:0[static-libs(+)]
        reiserfs? ( >=sys-fs/reiserfsprogs-3.6.27[static-libs(+)] ) ) zstd? ( app-arch/zstd:0[static-libs(+)]
        ) )
      IUSE: +convert doc python reiserfs static static-libs +zstd python_single_target_python3_10
        python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-libs/lzo:2= sys-apps/util-linux:0=[static-libs(+)?] sys-libs/zlib:0=
        convert? ( sys-fs/e2fsprogs:0= sys-libs/e2fsprogs-libs:0= reiserfs? ( >=sys-fs/reiserfsprogs-3.6.27
        ) ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) ) zstd? ( app-arch/zstd:0= )
      emerge.packages: sys-fs/btrfs-progs
      kit: core-kit
      original.package.name: sys-fs/btrfs-progs
      original.package.slot: "0"
      original.package.version: "6.10"
    treedir: /build/packages
  package_dir: /pkgdir/btrfs-progs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 51f2c3b85c2a53771e808d6255845528ab162d66d33d0573479c74443f4395b0
compressiontype: zstd
files:
- lib/udev/rules.d/64-btrfs-dm.rules
- lib/udev/rules.d/64-btrfs-zoned.rules
- sbin/btrfs
- sbin/btrfs-convert
- sbin/btrfs-find-root
- sbin/btrfs-image
- sbin/btrfs-map-logical
- sbin/btrfs-select-super
- sbin/btrfsck
- sbin/btrfstune
- sbin/fsck.btrfs
- sbin/mkfs.btrfs
- usr/include/btrfs/ctree.h
- usr/include/btrfs/ioctl.h
- usr/include/btrfs/kerncompat.h
- usr/include/btrfs/rbtree_types.h
- usr/include/btrfs/send-stream.h
- usr/include/btrfs/send-utils.h
- usr/include/btrfs/send.h
- usr/include/btrfs/version.h
- usr/include/btrfsutil.h
- usr/lib/python3.9/site-packages/btrfsutil-6.10-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/btrfsutil-6.10-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/btrfsutil-6.10-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/btrfsutil-6.10-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/btrfsutil.cpython-39-x86_64-linux-gnu.so
- usr/lib64/libbtrfs.so
- usr/lib64/libbtrfs.so.0
- usr/lib64/libbtrfs.so.0.1
- usr/lib64/libbtrfs.so.0.1.4
- usr/lib64/libbtrfsutil.so
- usr/lib64/libbtrfsutil.so.1
- usr/lib64/libbtrfsutil.so.1.3
- usr/lib64/libbtrfsutil.so.1.3.2
- usr/lib64/pkgconfig/libbtrfsutil.pc
- usr/share/bash-completion/completions/btrfs
- usr/share/man/man5/btrfs.5.bz2
- usr/share/man/man8/btrfs-balance.8.bz2
- usr/share/man/man8/btrfs-check.8.bz2
- usr/share/man/man8/btrfs-convert.8.bz2
- usr/share/man/man8/btrfs-device.8.bz2
- usr/share/man/man8/btrfs-filesystem.8.bz2
- usr/share/man/man8/btrfs-find-root.8.bz2
- usr/share/man/man8/btrfs-image.8.bz2
- usr/share/man/man8/btrfs-inspect-internal.8.bz2
- usr/share/man/man8/btrfs-map-logical.8.bz2
- usr/share/man/man8/btrfs-property.8.bz2
- usr/share/man/man8/btrfs-qgroup.8.bz2
- usr/share/man/man8/btrfs-quota.8.bz2
- usr/share/man/man8/btrfs-receive.8.bz2
- usr/share/man/man8/btrfs-replace.8.bz2
- usr/share/man/man8/btrfs-rescue.8.bz2
- usr/share/man/man8/btrfs-restore.8.bz2
- usr/share/man/man8/btrfs-scrub.8.bz2
- usr/share/man/man8/btrfs-select-super.8.bz2
- usr/share/man/man8/btrfs-send.8.bz2
- usr/share/man/man8/btrfs-subvolume.8.bz2
- usr/share/man/man8/btrfs.8.bz2
- usr/share/man/man8/btrfsck.8
- usr/share/man/man8/btrfstune.8.bz2
- usr/share/man/man8/fsck.btrfs.8.bz2
- usr/share/man/man8/mkfs.btrfs.8.bz2
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/BDEPEND
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/BUILD_TIME
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CATEGORY
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CBUILD
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CFLAGS
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CHOST
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CONTENTS
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/COUNTER
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CTARGET
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CXX
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/CXXFLAGS
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/DEFINED_PHASES
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/DEPEND
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/DESCRIPTION
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/EAPI
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/FEATURES
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/HOMEPAGE
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/INHERITED
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/IUSE
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/IUSE_EFFECTIVE
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/KEYWORDS
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/LDFLAGS
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/LICENSE
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/NEEDED
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/NEEDED.ELF.2
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/PF
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/PROVIDES
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/RDEPEND
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/REQUIRES
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/RESTRICT
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/SIZE
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/SLOT
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/USE
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/btrfs-progs-6.10.1.ebuild
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/environment.bz2
- var/db/pkg/sys-fs/btrfs-progs-6.10.1/repository
package_cacheimage: ""
runtime:
  name: btrfs-progs
  version: "6.10"
  category: sys-fs
  use_flags:
  - -doc
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -reiserfs
  - -static
  - convert
  - python
  - python_single_target_python3_9
  - zstd
  requires:
  - name: zstd
    version: '>=0'
    category: app-arch
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: lzo
    version: '>=0'
    category: dev-libs-2
  - name: e2fsprogs
    version: '>=0'
    category: sys-fs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Btrfs filesystem utilities
  uri:
  - https://btrfs.wiki.kernel.org
  license: GPL-2
  labels:
    BDEPEND: doc? ( || ( >=app-text/asciidoc-8.6.0 dev-ruby/asciidoctor ) app-text/docbook-xml-dtd:4.5
      app-text/xmlto ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: dev-libs/lzo:2= sys-apps/util-linux:0=[static-libs(+)?] sys-libs/zlib:0=
      convert? ( sys-fs/e2fsprogs:0= sys-libs/e2fsprogs-libs:0= reiserfs? ( >=sys-fs/reiserfsprogs-3.6.27
      ) ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) ) zstd? ( app-arch/zstd:0= ) convert? ( sys-apps/acl ) python? ( python_single_target_python3_10?
      ( dev-python/setuptools[python_targets_python3_10(-)] ) python_single_target_python3_7?
      ( dev-python/setuptools[python_targets_python3_7(-)] ) python_single_target_python3_9?
      ( dev-python/setuptools[python_targets_python3_9(-)] ) python_single_target_python3_8?
      ( dev-python/setuptools[python_targets_python3_8(-)] ) ) static? ( dev-libs/lzo:2[static-libs(+)]
      sys-apps/util-linux:0[static-libs(+)] sys-libs/zlib:0[static-libs(+)] convert?
      ( sys-fs/e2fsprogs:0[static-libs(+)] sys-libs/e2fsprogs-libs:0[static-libs(+)]
      reiserfs? ( >=sys-fs/reiserfsprogs-3.6.27[static-libs(+)] ) ) zstd? ( app-arch/zstd:0[static-libs(+)]
      ) )
    IUSE: +convert doc python reiserfs static static-libs +zstd python_single_target_python3_10
      python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-libs/lzo:2= sys-apps/util-linux:0=[static-libs(+)?] sys-libs/zlib:0=
      convert? ( sys-fs/e2fsprogs:0= sys-libs/e2fsprogs-libs:0= reiserfs? ( >=sys-fs/reiserfsprogs-3.6.27
      ) ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) ) zstd? ( app-arch/zstd:0= )
    emerge.packages: sys-fs/btrfs-progs
    kit: core-kit
    original.package.name: sys-fs/btrfs-progs
    original.package.slot: "0"
    original.package.version: "6.10"
